View Issue Details

IDProjectCategoryView StatusLast Update
0000651Main CAcert Websitemiscpublic2013-01-15 07:52
Reporterph3 Assigned ToSourcerer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMain CAcert WebsiteOSany 
Fixed in Version2009 Q2 
Summary0000651: Useless use of UTF-8 MIMEWords in E-Mail subjects
DescriptionThe E-Mails sent by the system have UTF-8 MIME Words as subjects but do not include any non-ASCII chars. This may be displayed wrong in some mail clients.
Steps To ReproduceDo something that let the system send you a E-Mail.
Additional Informationhttp://en.wikipedia.org/wiki/MIME#Encoded-Word
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0001097 closedNEOatNHNG Special characters which have no HTML-entities are not properly escaped 

Activities

Sourcerer

2008-11-17 19:25

administrator   ~0001255

Bug has been fixed.

ph3

2009-01-01 15:32

reporter   ~0001263

E-Mail generated on singing server certs still use MIME-Words (Reproducibility=always). Maybe some other functions do the same.

Sourcerer

2009-03-22 18:26

administrator   ~0001325

Bug has been fixed. Please test and close.

ph3

2009-04-07 11:01

reporter   ~0001344

Yesterday I got a mail while adding a OpenPGP Key including MIME Words in the subject lion.

Seems that not all cases there such a mail is generated are fixed already.

Maybe somebody could check the source for at least the following events:
* New Client Cert
* New Server Cert
* New OpenPGP Key

Maybe there are similar bugs in the following cases, too:
* Account creation (E-Mail test)
* E-Mail verify
* Domain verify
* general notify messages for viewed/changed account information

Sourcerer

2009-04-09 13:45

administrator   ~0001353

Please add the SMTP header (at least the Subject: field)

Sourcerer

2009-04-09 13:48

administrator   ~0001354

Bug has been fixed. Please test and close the bug.

Issue History

Date Modified Username Field Change
2008-10-29 21:17 ph3 New Issue
2008-11-17 19:25 Sourcerer Note Added: 0001255
2008-11-17 19:25 Sourcerer Status new => closed
2008-11-17 19:25 Sourcerer Resolution open => fixed
2008-11-17 19:25 Sourcerer Assigned To => Sourcerer
2009-01-01 15:32 ph3 Note Added: 0001263
2009-01-01 15:32 ph3 Status closed => needs feedback
2009-01-01 15:32 ph3 Resolution fixed => reopened
2009-03-22 18:26 Sourcerer Note Added: 0001325
2009-03-22 18:26 Sourcerer Status needs feedback => solved?
2009-04-06 19:40 Sourcerer Status solved? => needs feedback
2009-04-07 11:01 ph3 Note Added: 0001344
2009-04-09 13:45 Sourcerer Note Added: 0001353
2009-04-09 13:48 Sourcerer Note Added: 0001354
2009-04-09 13:48 Sourcerer Status needs feedback => solved?
2009-07-20 20:32 Sourcerer Status solved? => closed
2009-07-20 20:32 Sourcerer Resolution reopened => fixed
2013-01-11 17:30 Werner Dworak Relationship added related to 0001097
2013-01-15 07:52 Werner Dworak Fixed in Version => 2009 Q2